OPENPAM_FREE_DATA(3)

NAME
openpam_free_data - generic cleanup function

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/openpam.h>
void
openpam_free_data(pam_handle_t *pamh, void *data, int status);

DESCRIPTION
The openpam_free_data() function is a cleanup function suitable for passing to pam_set_data(3). It simply releases the data by passing its data argument to free(3).

SEE ALSO
free(3), pam(3), pam_set_data(3)

STANDARDS
The openpam_free_data() function is an OpenPAM extension.

AUTHORS
The openpam_free_data() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.